clang 8.0.0

Public Types | Static Public Member Functions | List of all members
clang::ento::ProgramStateTrait< T > Struct Template Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h"`

## Public Types
typedef T::data_type | data_type

## Static Public Member Functions
static void * | MakeVoidPtr (data_type D)
static data_type | MakeData (void *const *P)

## Detailed Description

### template<typename T>
struct clang::ento::ProgramStateTrait< T >

Definition at line 55 of file ProgramState.h.

## Member Typedef Documentation

## ◆ data_type

template<typename T>

typedef T::data_type clang::ento::ProgramStateTrait< T >::data_type

Definition at line 56 of file ProgramState.h.

## Member Function Documentation

## ◆ MakeData()

template<typename T>

static data_type clang::ento::ProgramStateTrait< T >::MakeData | ( | void *const * | P | ) |
| inline static

Definition at line 58 of file ProgramState.h.

## ◆ MakeVoidPtr()

template<typename T>

static void* clang::ento::ProgramStateTrait< T >::MakeVoidPtr | ( | data_type | D | ) |
| inline static

Definition at line 57 of file ProgramState.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h